#include "init_umts.h"

int serialOpen()
{
  int fd;  
  int speed;
  char *tty;
  struct termios st;

  // Get device name
  tty= "/dev/ttyS0";

  // Open device
  if((fd = open(tty,O_RDWR|O_NDELAY))<0)
  {  printf("Erreur\n");
     exit(1);
  }

  // Configure speed
  speed = B19200;

  /* c_iflag-> input mode
   * IGNBRK -> ignore break condition 
   * IGNPAR -> ignore characters with parity errors
   * HUPCL  -> hang up on last close
   */
  st.c_iflag= IGNBRK|IGNPAR|HUPCL;

  // c_oflag-> output mode
  st.c_oflag= 0;

  /* c_cflag-> control mode
   * CS8    -> character size is 8 bits 
   * CREAD  -> enable receiver
   * CLOCAL -> ignore modem status lines
   */
  st.c_cflag= CS8|CREAD|CLOCAL;

  // c_lflag -> local mode
  st.c_lflag= 0;

  // set input baud rate
  cfsetispeed(&st,speed);

  // set output baud rate
  cfsetospeed(&st,speed);

  /* set the parameters associated with the terminal 
   * TCSANOW -> the change will occur immediately
   */
  if(tcsetattr(fd,TCSANOW,&st)<0)
  {  printf("Erreur lors des modifs des parametre du port com\n");
     exit(2);
  }
  return fd;
}

int main(int argc, char **argv)
{
  int fd;
  int ploup;
  char buffer[5];

  fd = serialOpen();

  ploup = write(fd,"AT+CPIN=0000\r",13);
  sleep(1);

  read(fd,buffer,2);
  printf("%c%c\n",buffer[0],buffer[1]);
 
  close(fd);

  return 0;
}

